@stdlib/assert-has-set-support

Detect native Set support.


Keywords
stdlib, stdutils, stdutil, utilities, utility, utils, util, detect, feature, set, es2015, es6, support, has, native, issupported, cli, javascript, node, node-js, nodejs
License
Apache-2.0
Install
npm install @stdlib/assert-has-set-support@0.0.7

Documentation

Set Support

NPM version Build Status Coverage Status dependencies

Detect native Set support.

Installation

npm install @stdlib/assert-has-set-support

Usage

var hasSetSupport = require( '@stdlib/assert-has-set-support' );

hasSetSupport()

Detects if a runtime environment supports ES2015 Set.

var bool = hasSetSupport();
// returns <boolean>

Examples

var hasSetSupport = require( '@stdlib/assert-has-set-support' );

var bool = hasSetSupport();
if ( bool ) {
    console.log( 'Environment has Set support.' );
} else {
    console.log( 'Environment lacks Set support.' );
}

CLI

Installation

To use the module as a general utility, install the module globally

npm install -g @stdlib/assert-has-set-support

Usage

Usage: has-set-support [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.

Examples

$ has-set-support
<boolean>

Notice

This package is part of stdlib, a standard library for JavaScript and Node.js, with an emphasis on numerical and scientific computing. The library provides a collection of robust, high performance libraries for mathematics, statistics, streams, utilities, and more.

For more information on the project, filing bug reports and feature requests, and guidance on how to develop stdlib, see the main project repository.

Community

Chat


License

See LICENSE.

Copyright

Copyright © 2016-2021. The Stdlib Authors.